Bug 57974 - cvs depends on csh because of *one* script (sccs2rcs)
cvs depends on csh because of *one* script (sccs2rcs)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 16:55 EST by msterret
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.11.17-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 15:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sccs2rcs re-written in perl (9.83 KB, patch)
2002-01-03 16:57 EST, msterret
no flags Details | Diff

  None (edit)
Description msterret 2002-01-03 16:55:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7+) Gecko/20020103

Description of problem:
cvs-1.11.1p1-3.i386.rpm contains a script 
/usr/share/cvs/contrib/sccs2rcs that is a csh script.  This
means that the package depends on /bin/csh and that prevents 
me from doing rpm -e tcsh which I would dearly love to do. 
I've rewritten sccs2rcs in perl (which cvs already depends on
for other reasons) and will attach the rewritten version to
this bug.  As a bonus, the new version runs about 50% faster.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. head -1 /usr/share/cvs/contrib/sccs2rcs

	

Actual Results:  #! /bin/csh -f

Expected Results:  #! /usr/bin/perl -w

Additional info:

I've submitted this re-write to the cvs guys so hopefully they'll
include it themselves in a future version of cvs.
Comment 1 msterret 2002-01-03 16:57:07 EST
Created attachment 41713 [details]
sccs2rcs re-written in perl
Comment 2 msterret 2002-03-13 18:58:25 EST
It seems like the cvs guys are fairly unresponsive to this issue.
See http://mail.gnu.org/pipermail/info-cvs/2002-March/025768.html
(and the rest of the thread) for the discussion.

I recommend redhat split the cvs rpm into two, cvs and cvs-contrib since
it seems like the contrib directory in the cvs tarball isn't claimed or
supported by the cvs maintainers.

The script in question (sccs2rcs) doesn't even work correctly in the latest
official distribution of CVS (cvs-1.11.1p1.tar.gz).
Comment 3 msterret 2003-01-28 00:43:25 EST
This bug is still alive in the cvs-1.11.1p1-8.7 update.
Comment 4 Eido Inoue 2004-10-29 14:11:22 EDT
splitting into a separate package for contrib just adds an extra pkg
and isn't consistent with what we do for "contribs" from other
packages. As for re-writing in perl, I don't see replacing one
scripting language for another as being worthy of a fix-- tcsh is
still a pretty common package, and much more lightweight than perl.
Comment 5 msterret 2004-10-31 03:37:58 EST
You seemed to ignore the fact that CVS already depends on perl for
other reasons as I mentioned in my initial comment. This bug was
always about removing a dependency, not replacing one.

csh deserves to die and it's silly for a common utility like CVS to
continue to depend on it.

Note You need to log in before you can comment on or make changes to this bug.